LibreOffice: InvocationInfo Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
InvocationInfo Struct Referencepublished

This struct is used to specify information about object members (methods or properties) accessed via XInvocation, such as names, types, or parameters. More...

## Public Types
typedef sequence< type > | aParamTypes
| Types method parameters, for properties this sequence is empty.
typedef sequence< com::sun::star::reflection::ParamMode > | aParamModes
| Mode of method parameters (IN, OUT, INOUT), for properties this sequence is empty.

## Public Attributes
string | aName
| Name of the method or property.
MemberType | eMemberType
| Kind of the member (method or property).
short | PropertyAttribute
| Only for property members: This field may contain zero or more constants of the com::sun::star::beans::PropertyAttribute constants group.
type | aType
| Type of the member, for methods the return type.

## Detailed Description

This struct is used to specify information about object members (methods or properties) accessed via XInvocation, such as names, types, or parameters.

## Member Typedef Documentation

## ◆ aParamModes

sequence< com::sun::star::reflection::ParamMode > aParamModes

Mode of method parameters (IN, OUT, INOUT), for properties this sequence is empty.

## ◆ aParamTypes

sequence< type > aParamTypes

Types method parameters, for properties this sequence is empty.

## Member Data Documentation

## ◆ aName

string aName

Name of the method or property.

## ◆ aType

type aType

Type of the member, for methods the return type.

## ◆ eMemberType

MemberType eMemberType

Kind of the member (method or property).

## ◆ PropertyAttribute

short PropertyAttribute

Only for property members: This field may contain zero or more constants of the com::sun::star::beans::PropertyAttribute constants group.

It is not guaranteed that all necessary constants are set to describe the property completely, but a flag will only be set, if the corresponding charac- teristic really exists. Example: If the READONLY flag is set, the property is readonly. If it isn't set, the property nevertheless can be readonly.

For methods this field is irrelevant and is set to 0.

The documentation for this struct was generated from the following file:

- com/sun/star/script/InvocationInfo.idl